
///////////////////////////////////////////////////////////////////////////////////////////////
// GRID DEMO
///////////////////////////////////////////////////////////////////////////////////////////////

function grid_demo() 
{

   oWin = new Form( "Grid Demo", 510 , 370 );

   oGrid = new Grid( oWin, 40, 020, 480, 190, [ 'One' , 'Two' , 'Three' , 'Four' , 'Five' ], 600 );

   oGrid.addRow ( [ 'cell  1.1' , 'cell  1.2' , 'Cell  1.3' , 'Cell  1.4' , 'Cell  1.5' ] );
   oGrid.addRow ( [ 'cell  2.1' , 'cell  2.2' , 'Cell  2.3' , 'Cell  2.4' , 'Cell  2.5' ] );
   oGrid.addRow ( [ 'cell  3.1' , 'cell  3.2' , 'Cell  3.3' , 'Cell  3.4' , 'Cell  3.5' ] );
   oGrid.addRow ( [ 'cell  4.1' , 'cell  4.2' , 'Cell  4.3' , 'Cell  4.4' , 'Cell  4.5' ] );
   oGrid.addRow ( [ 'cell  5.1' , 'cell  5.2' , 'Cell  5.3' , 'Cell  5.4' , 'Cell  5.5' ] );
   oGrid.addRow ( [ 'cell  6.1' , 'cell  6.2' , 'Cell  6.3' , 'Cell  6.4' , 'Cell  6.5' ] );
   oGrid.addRow ( [ 'cell  7.1' , 'cell  7.2' , 'Cell  7.3' , 'Cell  7.4' , 'Cell  7.5' ] );
   oGrid.addRow ( [ 'cell  8.1' , 'cell  8.2' , 'Cell  8.3' , 'Cell  8.4' , 'Cell  8.5' ] );
   oGrid.addRow ( [ 'cell  9.1' , 'cell  9.2' , 'Cell  9.3' , 'Cell  9.4' , 'Cell  9.5' ] );
   oGrid.addRow ( [ 'cell 10.1' , 'cell 10.2' , 'Cell 10.3' , 'Cell 10.4' , 'Cell 10.5' ] );

   Button( oWin , 240 , 020 , "getRowCount"      , "alert(oGrid.getRowCount())" );  
   Button( oWin , 240 , 140 , "getCell(1,1)"     , "alert(oGrid.getCell(1,1))" );  
   Button( oWin , 240 , 260 , "setCell(1,1)"     , "oGrid.setCell(1,1,'**New**')" );  
   Button( oWin , 240 , 380 , "select(1)"        , "oGrid.select(1)" );  

   Button( oWin , 280 , 020 , "unSelect(1)"      , "oGrid.unSelect(1)" );  
   Button( oWin , 280 , 140 , "deleteRow(1)"     , "oGrid.deleteRow(1)" );  
   Button( oWin , 280 , 260 , "addRow([...])"    , "oGrid.addRow ( [ 'cell x.1' , 'cell x.2' , 'Cell x.3' , 'x.4' , 'x.5' ] )" );  
   Button( oWin , 280 , 380 , "getSele..Rows()"  , "ShowSelectedRows(oGrid)" );  

   Button( oWin , 320 , 210 , "Close"            , "oWin.release()" );  

}

//---------------------------------------------------------------------------------------------//
function ShowSelectedRows(oGrid)
{

	if ( oGrid.getSelectedRowCount() == 0 )
	{
		alert('No Rows Selected!');
		return;
	}

	var aSelection = oGrid.getSelectedRows();

	for ( var i = 0 ; i < aSelection.length ; i++ )
	{
		alert ( aSelection [i] );
	}

}
