
//---------------------------------------------------------------------------------------*
// MAIN
//---------------------------------------------------------------------------------------*

function main() 
{

	oMain = new Form( "HMGSCRIPT Main Demo (Desktop Style)", 790 , 440 );

	Button( oMain , 40 ,  10 , "Button Demo2"	, "button_demo()"  );  
	Button( oMain , 40 , 140 , "Label Demo"		, "label_demo()"   );  
	Button( oMain , 40 , 270 , "TextBox Demo"	, "textbox_demo()" );  
	Button( oMain , 40 , 400 , "CheckBox Demo"	, "checkbox_demo()" );  
	Button( oMain , 40 , 530 , "Image Demo"		, "image_demo()" );  
	Button( oMain , 40 , 660 , "ComboBox Demo"	, "combobox_demo()" );  

	Button( oMain , 80 ,  10 , "EditBox Demo"	, "editbox_demo()"  );  
	Button( oMain , 80 , 140 , "Grid Demo"		, "grid_demo()"   );  
	Button( oMain , 80 , 270 , "RadioGroup Demo"	, "radiogroup_demo()" );  
	Button( oMain , 80 , 400 , "ListBox Demo"	, "listbox_demo()" );  
	Button( oMain , 80 , 530 , "Spinner Demo"	, "spinner_demo()" );  
	Button( oMain , 80 , 660 , "Slider Demo"	, "slider_demo()" );  

	Button( oMain , 120 ,  10 , "DatePicker Demo"	, "datepicker_demo()"  );  
	Button( oMain , 120 , 140 , "PDF Demos"		, "pdf_demos()"  );  
	Button( oMain , 120 , 270 , "Mysql Demo"	, "test_0()" );
	Button( oMain , 120 , 530 , "Acknowledgements"	, "acknowledgements()" );  
	Button( oMain , 120 , 660 , "Exit"		, "oMain.release()" );  

	Label( oMain , 175 , 300 , "Apache / Harbour CGI Data Demos" );

	Button( oMain , 200 , 205 , "Login"		, "login_demo()"   );  
	Button( oMain , 200 , 335 , "Data Demo"		, "data_demo()" );  
	Button( oMain , 200 , 465 , "Logout"		, "logout();" );  

	Image( oMain , 270 , 335 , "img/hmg.gif" );

	oStatus = new Label( oMain , 415 , 10 , "Please Log In..." );

	oSessionTimeLabel = new Label( oMain , 415 , 570 , "Your Session Will Expire in:" );

	oSessionTimeCountdown = new Label( oMain , 415 , 740 , "00:00" );

}

function logout() 
{

	if ( bLoggedIn == false )
	{
		alert("ERROR: You are not logged In!!!");
		return;
	}

	clearInterval(SessionTimeout);
	oSessionTimeCountdown.setValue('00:00');
	oStatus.setValue( 'Current User: None');
	cUser = '' ;
	cPassword = '' ;
	bLoggedIn = false;
	alert("Successfully Logged Out");

}

//---------------------------------------------------------------------------------------*
// SESSION TIMER
//---------------------------------------------------------------------------------------*

function startTimer() {

	var fiveMinutes = 60 * 5;
	var display = document.getElementById( oSessionTimeCountdown.getId() );
	var mins;
	var seconds;

	SessionTimeout = setInterval(function()
	{

		mins = parseInt(fiveMinutes / 60)
		mins = mins < 10 ? "0" + mins : mins;

		seconds = parseInt(fiveMinutes % 60);
		seconds = seconds < 10 ? "0" + seconds : seconds;

		display.innerHTML = mins + ":" + seconds;
		fiveMinutes--;

		if (fiveMinutes < 0)
		{
			fiveMinutes = 0;
			oStatus.setValue( 'Current User: None' ) ;
			cUser = '' ;
			cPassword = '' ;
			cSessionId = '' ;
			bLoggedIn = false ;
			clearInterval(SessionTimeout);
			alert("Session Expired!");
		}

	} , 1000);

}

function acknowledgements()
{

	oWin = new Form( "Acknowledgements", 600 , 500 );

	Label( oWin , 30 , 20 , "<b><u>HMGSCRIPT includes the following libraries:</u></b>" );
	Label( oWin , 60 , 20 , "<b>InputMask.js, JavaScriptUtil.js and Parsers.js (TextBox masks)</b>" );
	Label( oWin , 80 , 20 , "Author: Luis Fernando Planella Gonzalez (lfpg.dev at gmail dot com)" );
	Label( oWin , 100 , 20 , "Home Page: http://javascriptools.sourceforge.net" );
	Label( oWin , 120 , 20 , "" );
	Label( oWin , 140 , 20 , "<b>pdf.js (client-side PDF generation)</b>" );
	Label( oWin , 160 , 20 , "2010-2014 James Hall, https://github.com/MrRio/jsPDF" );
	Label( oWin , 180 , 20 , "2010 Aaron Spike, https://github.com/acspike" );
	Label( oWin , 200 , 20 , "2012 Willow Systems Corporation, willow-systems.com" );
	Label( oWin , 220 , 20 , "2012 Pablo Hess, https://github.com/pablohess" );
	Label( oWin , 240 , 20 , "2012 Florian Jenett, https://github.com/fjenett" );
	Label( oWin , 260 , 20 , "2013 Warren Weckesser, https://github.com/warrenweckesser" );
	Label( oWin , 280 , 20 , "2013 Youssef Beddad, https://github.com/lifof" );
	Label( oWin , 300 , 20 , "2013 Lee Driscoll, https://github.com/lsdriscoll" );
	Label( oWin , 320 , 20 , "2013 Stefan Slonevskiy, https://github.com/stefslon" );
	Label( oWin , 340 , 20 , "2013 Jeremy Morel, https://github.com/jmorel" );
	Label( oWin , 360 , 20 , "2013 Christoph Hartmann, https://github.com/chris-rock" );
	Label( oWin , 380 , 20 , "2014 Juan Pablo Gaviria, https://github.com/juanpgaviria" );
	Label( oWin , 400 , 20 , "2014 James Makes, https://github.com/dollaruw" );
	Label( oWin , 420 , 20 , "2014 Diego Casorran, https://github.com/diegocr" );


	Button( oWin , 450 , 248 , "Close" , "oWin.release()" );  


}
