
//---------------------------------------------------------------------------------------*
// MAIN
//---------------------------------------------------------------------------------------*

function main() 
{

	setUnits('%');

	main = new Form( "HMGSCRIPT Mobile Demo"  );

	Button( main , 10 , 0 , "Combo Demo" , "combo_demo()" );  

	Button( main , 22 , 0 , "DatePicker Demo" , "datepicker_demo()" );  

	Button( main , 34 , 0 , "Spinner (Number) Demo" , "spinner_demo()" );  

	Button( main , 46 , 0 , "TextBox Demo" , "textbox_demo()" );  

	Button( main , 58 , 0 , "Grid Demo" , "grid_demo()" );  

	Button( main , 70 , 0 , "CheckBox Demo" , "checkbox_demo()" );  

	Button( main , 88 , 0 , "Close" , "main.release()" );  

}

function combo_demo()
{

	main = new Form( "Mobile Combo Demo" );

	oCombo1 = new ComboBox( main , 10 , 0 , 
	[ 'one' , 'two' , 'three' ] , 
	[ 'value one' , 'value two' , 'value three' ] , 0 );

	Button( main , 34 , 0 , "GetSelectedIndex" , "alert( oCombo1.getSelectedIndex() )" );  

	Button( main , 46 , 0 , "SetSelectedIndex" , "oCombo1.setSelectedIndex(2)" );  

	Button( main , 88 , 0 , "Return" , "main.release()" );  


}

function datepicker_demo()
{

	main = new Form( "Mobile DatePicker Demo" );

	oDatePicker = new DatePicker( main , 10, 0, '2014-12-25' );

	Button( main , 34 , 0 , "getValue" , "alert( oDatePicker.getValue() )" );  
	Button( main , 46 , 0 , "setValue" , "oDatePicker.setValue('2012-12-31')" );  


	Button( main , 88 , 0 , "Return" , "main.release()" );  

}


function spinner_demo() 
{

	main = new Form( "Mobile Spinner Demo" );

	spin1 = new Spinner( main , 10, 0, 5 );

	spin1.setMin(1);
	spin1.setMax(10);
	spin1.setStep(0.5);

	Button( main , 34 , 0 , "getValue" , "alert( spin1.getValue() )" );  
	Button( main , 46 , 0 , "setValue" , "spin1.setValue(8)" );  

	Button( main , 88 , 0 , "Return" , "main.release()" );  

}

function textbox_demo() 
{

	main = new Form( "Mobile TextBox Demo" );

	oText = new TextBox( main , 10, 0, "Hi!" );

	Button( main , 34 , 0 , "getValue" , "alert( oText.getValue() )" );  
	Button( main , 46 , 0 , "setValue" , "oText.setValue('Hello Mobile Device!!!')" );  

	Button( main , 88 , 0 , "Return" , "main.release()" );  

}

function grid_demo() 
{

	main = new Form( "Mobile Grid Demo"  );

	oGrid = new Grid( main, 10, 0, 100, 64, [ 'One' , 'Two' ], 100 );

	oGrid.addRow ( [ 'cell  1.1' , 'cell  1.2' ] );
	oGrid.addRow ( [ 'cell  2.1' , 'cell  2.2' ] );
	oGrid.addRow ( [ 'cell  3.1' , 'cell  3.2' ] );
	oGrid.addRow ( [ 'cell  4.1' , 'cell  4.2' ] );
	oGrid.addRow ( [ 'cell  5.1' , 'cell  5.2' ] );
	oGrid.addRow ( [ 'cell  6.1' , 'cell  6.2' ] );
	oGrid.addRow ( [ 'cell  7.1' , 'cell  7.2' ] );
	oGrid.addRow ( [ 'cell  8.1' , 'cell  8.2' ] );
	oGrid.addRow ( [ 'cell  9.1' , 'cell  9.2' ] );
	oGrid.addRow ( [ 'cell 10.1' , 'cell 10.2' ] );
	oGrid.addRow ( [ 'cell 11.1' , 'cell 11.2' ] );
	oGrid.addRow ( [ 'cell 12.1' , 'cell 12.2' ] );
	oGrid.addRow ( [ 'cell 13.1' , 'cell 13.2' ] );
	oGrid.addRow ( [ 'cell 14.1' , 'cell 14.2' ] );
	oGrid.addRow ( [ 'cell 15.1' , 'cell 15.2' ] );
	oGrid.addRow ( [ 'cell 16.1' , 'cell 16.2' ] );
	oGrid.addRow ( [ 'cell 17.1' , 'cell 17.2' ] );
	oGrid.addRow ( [ 'cell 18.1' , 'cell 18.2' ] );
	oGrid.addRow ( [ 'cell 19.1' , 'cell 19.2' ] );
	oGrid.addRow ( [ 'cell 20.1' , 'cell 20.2' ] );

	Button( main , 76 , 0 , "Get Selected Rows" , "grid_getSelected()" );  

	Button( main , 88 , 0 , "Return" , "main.release()" );  

}

function grid_getSelected()
{
	if ( oGrid.getSelectedRowCount() == 0 )
	{
		alert('No Rows Selected!');
		return;
	}

	var aSelection = oGrid.getSelectedRows();

	for ( var i = 0 ; i < aSelection.length ; i++ )
	{
		alert ( aSelection [i] );
	}
}

function checkbox_demo() 
{

	main = new Form( "Mobile CheckBox Demo" );

	oCheck = new CheckBox( main , 18 , 36 , true );
        Label( main , 17.5 , 47 , "Check This!" );

	Button( main , 34 , 0 , "isChecked" , "alert(oCheck.isChecked())" );  
	Button( main , 46 , 0 , "check"     , "oCheck.check()" );  
	Button( main , 58 , 0 , "unCheck"   , "oCheck.unCheck()" );  


	Button( main , 88 , 0 , "Return" , "main.release()" );  

}
